#ifndef __BASE_SHAPE_H_
#define __BASE_SHAPE_H_

#include "model.h"


Model* createPlane( float halfX, float halfY );
Model* createCube( float half );
Model* createSphere( float radius, unsigned int numberSlices );
Model* createTorus( float innerRadius, float outerRadius, unsigned int numberSides, unsigned numberFaces );
Model* createCapsule( float radius, float length, unsigned int numberSlices );
Model* createCylinder( float radius, float length, unsigned int numberSlices );
Model* createCone( float radius, float length, unsigned int numberSlices );


#endif // __BASE_SHAPE_H_
